Subject: [bug#39108] [PATCH] gnu: Add gst-editing-services.

From: Marius Bakke <[email-masked]>
Date: Fri, 14 Feb 2020 17:12:35 +0100

Leo Prikler <[email-masked]> writes:

> Am Freitag, den 14.02.2020, 16:58 +0100 schrieb Marius Bakke:
>> Oh no, I missed that you had alredy ported GStreamer to the Meson
>> build
>> system in a previous email!  Sorry for the duplicate work.
>> 
>> I notice in this patch that gst-editing-services still uses
>> gnu-build-system, can you update it to use meson-build-system
>> instead?
> Ahh, my bad.  Updated version is attached.

I'm getting a strange build failure with this patch:

...
Dependency gstreamer-plugins-base-1.0 found: YES 1.16.2
Dependency gstreamer-plugins-bad-1.0 found: NO (tried pkgconfig and cmake)

tests/check/meson.build:41:2: ERROR: 'not-found' is not a pkgconfig dependency

A full log can be found at /tmp/guix-build-gst-editing-services-1.16.2.drv-0/build/meson-logs/meson-log.txt

I suppose it needs 'gst-plugins-bad'?